# Interface IContextInformationExtension

public interface IContextInformationExtension
Extends `IContextInformation` with the ability to freely position the context information.

Since:
  2.0

## Method Summary

Modifier and Type
Method
Description
`int`
`getContextInformationPosition()`
Returns the start offset of the range for which this context information is valid or `-1` if unknown.

## Method Details

### getContextInformationPosition

int getContextInformationPosition()
Returns the start offset of the range for which this context information is valid or `-1` if unknown.

Returns:
  the start offset of the range for which this context information is valid